package com.mvc.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @description:远程配置扩展对象
 * @author guozhao
 * @date 2025-03-06.
 */
public class TaskRemoteCfgExtendModel {
    /**
     * 表盘类型(0非水表,1数字+指针,2全指针,3全数字)
     */
    private String dialType;

    /**
     * 运行/投运状态(0未安装,1已安装,2已配置,3已投运,4配置失效)
     */
    private String operationStatus;

    /**
     * 数字区域坐标(x0,y0,x1,y1,x2,y2,x3,y3)
     */
    private String digitAreaCoordinates;

    /**
     * 表盘区域坐标(xMin,yMin,xMax,yMax)
     */
    private String dialAreaCoordinates;

    /**
     * 首尾指针坐标(xb,yb,xr,yr)
     */
    private String startEndPointerCoordinates;

    /**
     * 最新读数对应的时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8",locale="zh")
    private Date lastValTime;

    public String getOperationStatus() {
        return operationStatus;
    }

    public void setOperationStatus(String operationStatus) {
        this.operationStatus = operationStatus == null ? null : operationStatus.trim();
    }

    public String getDialType() {
        return dialType;
    }

    public void setDialType(String dialType) {
        this.dialType = dialType;
    }

    public String getStartEndPointerCoordinates() {
        return startEndPointerCoordinates;
    }

    public void setStartEndPointerCoordinates(String startEndPointerCoordinates) {
        this.startEndPointerCoordinates = startEndPointerCoordinates;
    }

    public String getDigitAreaCoordinates() {
        return digitAreaCoordinates;
    }

    public void setDigitAreaCoordinates(String digitAreaCoordinates) {
        this.digitAreaCoordinates = digitAreaCoordinates;
    }

    public String getDialAreaCoordinates() {
        return dialAreaCoordinates;
    }

    public void setDialAreaCoordinates(String dialAreaCoordinates) {
        this.dialAreaCoordinates = dialAreaCoordinates;
    }

    public Date getLastValTime() {
        return lastValTime;
    }

    public void setLastValTime(Date lastValTime) {
        this.lastValTime = lastValTime;
    }
}
